import { Slot, VNode } from 'vue';
export declare function hSlot(slot: Slot | undefined, otherwise?: VNode[]): VNode[] | undefined;
/**
 * Source definitely exists,
 * so it's merged with the possible slot
 */
export declare function hMergeSlot(slot: Slot | undefined, source: VNode[]): VNode[];
export declare function hUniqueSlot(slot: Slot | undefined, otherwise: VNode[]): VNode[];
export declare function hEmptyRender(): void;
